<div
  class="font-18-px txt__semi-bold flex-row"
  style="width: 165px; justify-content: center"
>
  <button
    [attr.data-test-element-id]="'step-backward'"
    nz-button
    nzType="link"
    [disabled]="isFirstStep() || disabled"
    (click)="navigateBackward()"
  >
    <i nz-icon nzType="left"></i>
  </button>
  <div [attr.data-test-element-id]="'step-counter'" class="m-t-2 flex-row">
    <sqtm-core-editable-numeric-field
      class="override-text-color"
      [value]="currentStep + 1"
      [layout]="'no-buttons'"
      [size]="'small'"
      [min]="0"
      [max]="totalStep"
      [editable]="!disabled"
      (confirmEvent)="navigateToAnyStep($event)"
      [attr.data-test-field-id]="'step-index'"
    ></sqtm-core-editable-numeric-field>
    <span class="m-l-2">/</span><span class="m-l-2">{{ totalStep }}</span>
  </div>
  <button
    [attr.data-test-element-id]="'step-forward'"
    nz-button
    nzType="link"
    [disabled]="isLastStep() || disabled"
    (click)="navigateForward()"
  >
    <i nz-icon nzType="right"></i>
  </button>
</div>
